package com.ruoyi.zdsz.service;

import com.ruoyi.zdsz.domain.ZComprehensive;
import com.ruoyi.zdsz.domain.vo.ZComprehensiveVo;
import com.ruoyi.zdsz.domain.bo.ZComprehensiveBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 开栓|安检|维修Service接口
 *
 * @author ruoyi
 * @date 2023-12-27
 */
public interface IZComprehensiveService {

    /**
     * 查询开栓|安检|维修
     */
    ZComprehensiveVo queryById(String id);

    /**
     * 查询开栓|安检|维修列表
     */
    TableDataInfo<ZComprehensiveVo> queryPageList(ZComprehensiveBo bo, PageQuery pageQuery);

    /**
     * 查询开栓|安检|维修列表
     */
    List<ZComprehensiveVo> queryList(ZComprehensiveBo bo);

    /**
     * 新增开栓|安检|维修
     */
    Boolean insertByBo(ZComprehensiveBo bo);

    /**
     * 修改开栓|安检|维修
     */
    Boolean updateByBo(ZComprehensiveBo bo);

    /**
     * 校验并批量删除开栓|安检|维修信息
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);
}
